Subject: bug#70554: [PATCH] Eglot: Add 'command-modes' property to all suitable commands

From: Augusto Stoffel <[email-masked]>
Date: Mon, 29 Apr 2024 20:12:14 +0200

On Sat, 27 Apr 2024 at 10:46, João Távora wrote:

> Isn't there a way to say this near where the commands are defined,
> perhaps near the `interactive` which marks a given function as a 
> command?  If there isn't, just install this, perhaps with a tweak 
> to the commit message mentioning the top level form, and thanks.

This is not possible while keeping compatibility with older Emacs
versions.  There's already a comment to that effect in the patch, so the
change you mention can be made in the future.